//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using mshtml;
using nispi;
using nispi.controlclass;

namespace nispi.Menu
{
    class BrowserAddressMenu
    {
        public ContextMenuStripParts contextMenuStripParts;
        public ToolStripMenuItemParts menuItemOpenBrowserParts;
        public ToolStripMenuItemParts menuItemCopyURLParts;

        public AddressMenuEvent addressEvent;

        public BrowserAddressMenu()
        {
            contextMenuStripParts = ContextMenuStripPartsManager.Pop();
            menuItemOpenBrowserParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCopyURLParts = ToolStripMenuItemPartsManager.Pop();

            
            menuItemOpenBrowserParts.Text = "ブラウザーで開く";
            menuItemCopyURLParts.Text = "URLをコピー";

            contextMenuStripParts.ItemsAdd(menuItemOpenBrowserParts);
            contextMenuStripParts.ItemsAdd("-");
            contextMenuStripParts.ItemsAdd(menuItemCopyURLParts);

            this.addressEvent = new AddressMenuEvent(this);
        }
    }
}
